=== nanomsg/protocols/CMakeLists.txt ===
###############################################################################
# Directories
###############################################################################

add_subdirectory(bus)
add_subdirectory(pair)
add_subdirectory(pipeline)
add_subdirectory(pubsub)
add_subdirectory(reqrep)
add_subdirectory(survey)
add_subdirectory(utils)
