=== nanomsg/transports/CMakeLists.txt ===
###############################################################################
# Directories
###############################################################################

add_subdirectory(inproc)
add_subdirectory(ipc)
add_subdirectory(tcp)
add_subdirectory(utils)
