=== nanomsg/protocols/pair/CMakeLists.txt ===
###############################################################################
# Headers
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)

install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/nanomsg/protocols/pair)
