=== debian/changelog ===
ros-melodic-nanomsg (0.4.1-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 08 Oct 2018 11:24:10 -0000
